Append Checkable Menu Item

- « UI\Menu::appendAbout

- UI\Menu::appendPreferences »

- PHP Manual
- UI\Menu
- Append Checkable Menu Item

# UI\Menu::appendCheck

(UI 0.9.9)

UI\Menu::appendCheck — Append Checkable Menu Item

### Description

public UI\Menu::appendCheck(string `$name`, string `$type` = UI\MenuItem::class): UI\MenuItem

Shall append a checkable menu item

### Parameters

`name`

  The name (text) for the new item

`type`

  The type for the new item

### Return Values

A constructed checkable menu item of the given type